package de.lmu.ifi.pms.cep.event_mill.execution.scheduler;

import org.simpleframework.xml.Root;

import de.lmu.ifi.pms.cep.event_mill.execution.engine.Engine;



/**
 * Implementing subclasses must have a Constructor that accepts a FixedArrayNavigableMap<String, String> property map.
 * 
 * @author Simon Brodt
 *
 */
@Root(name="scheduler")
public abstract class SchedulerFactory {
	
	public abstract SchedulerThread make(Engine engine);

}
