package de.lmu.ifi.pms.cep.event_mill.io.bus;

import org.simpleframework.xml.Attribute;




public class EmptyMessageBusProvider extends MessageBusProvider {
	
	//public static final EmptyMessageBusProvider instance = new EmptyMessageBusProvider();
	
	private EmptyMessageBusProvider(@Attribute(name="iri") final String identifier) {
		super(identifier);
	}

	@Override
	public boolean accepts(final String identity) {
		return false;
	}

	@Override
	public MessageBus<?> connect(final String identity) {
		throw new IllegalArgumentException();
	}
	
	/*@Resolve
	EmptyMessageBusProvider resolve(){
		return instance;
	}*/

}
