package de.lmu.ifi.pms.cep.event_mill.io.bus;

import org.simpleframework.xml.Element;

import de.lmu.ifi.pms.cep.event_mill.io.format.MessageFormatProvider;


public class HeapBroadcastMessageBusProviderCollection<MessageType> extends MessageBusProviderCollection {
	
	@Element(name="format")
	final MessageFormatProvider<MessageType> formater;

	public HeapBroadcastMessageBusProviderCollection(@Element(name="format") final MessageFormatProvider<MessageType> formater) {
		super();
		this.formater = formater;
	}

	@Override
	public boolean contains(final String identifier) {
		return true;
	}

	@Override
	public MessageBusProvider create(final String identifier) {
		return new HeapBroadcastMessageBusProvider<MessageType>(identifier, this.formater);
	}

}
