package de.lmu.ifi.pms.cep.tsa.conditions;

public class UserRelationFormula extends RelationFormula {
	
	public UserRelationFormula(final String name, final Term<?>... terms) {
		super(name, terms);
	}
	
	UserRelationFormula(final boolean isNormalized, final boolean isFlatened, final String name, final Term<?>... terms) {
		super(isNormalized, isFlatened, name, terms);
	}
	
	@Override
	protected RelationFormula newFormula(final Term<?>... arguments) {
		return new UserRelationFormula(this.name, arguments);
	}

}
