package de.lmu.ifi.pms.java.lang.iteration;

import java.util.Iterator;

import de.lmu.ifi.pms.java.util.collection.Collection;


public class FixedComposedIterator<Type> extends ComposedIterator<Type> implements FixedIterator<Type>{
	
	public FixedComposedIterator(
			final Collection<? extends Iterable<? extends Type>> iterations,
			final boolean javaIsStupid) {
		super(iterations, javaIsStupid);
	}

	public FixedComposedIterator(final Collection<Iterator<Type>> iterators) {
		super(iterators);
	}

	public FixedComposedIterator(final Iterator<Type>... iterators) {
		super(iterators);
	}

	@Override
	@Deprecated
	public final void remove() {
		super.remove();
	}

}
