package de.lmu.ifi.pms.java.util.factory;

import de.lmu.ifi.pms.java.util.tupel.Tupel;

public abstract class AbstractSimpleFactory<ProductType> implements SimpleFactory<ProductType> {

	@Override
	public ProductType make(final Tupel<?> resource) {
		return this.make();
	}

	@Override
	public abstract ProductType make();

}
