package de.lmu.ifi.pms.java.util.file;

import org.simpleframework.xml.Element;

import de.lmu.ifi.pms.java.util.filter.Filter;



public class FileNameFilter extends AbstractFileNameFilter {
	
	@Element(name="filter")
	public final Filter<String> fileNameFilter;
	
	public FileNameFilter(@Element(name="filter") final Filter<String> fileNameFilter) {
		super();
		this.fileNameFilter = fileNameFilter;
	}

	@Override
	public boolean accepts(final String fileName){
		return this.fileNameFilter.accepts(fileName);
	}

}
