/**
 * 
 */
package de.lmu.ifi.pms.java.util.map;

/**
 * @author Simon Matthias Brodt
 *
 */
public class StandardEntry<KeyType, ValueType> extends Entry1<KeyType, ValueType>{
	
	protected ValueType value;
	
	public StandardEntry(KeyType key, ValueType value){
		this(key, value, true);
	}

	protected StandardEntry(KeyType key, ValueType value, boolean removed) {
		super(key, removed);
		this.value = value;
	}
	
	@Override
	public ValueType value(){
		return this.value;
	}
	
	@Override
	public void setValue(ValueType newValue){
		this.value = newValue;
	}
	
	@Override
	public void removeAction(){
		throw new UnsupportedOperationException();
	}
	
}
