package de.lmu.ifi.pms.cep.dura.compiler.durac.tsa;


import de.lmu.ifi.pms.cep.tsa.conditions.BasicTypeVariable;
import de.lmu.ifi.pms.cep.tsa.schema.BasicTypeID;

public class UntypedIdentifier extends BasicTypeVariable {

	protected UntypedIdentifier(String name) {
		super(name, BasicTypeID.IDENTIFIER);

	}
	
	@Override
	public UntypedIdentifier rename(final String newName){
		return new UntypedIdentifier(newName);
	}
	
	public static UntypedIdentifier create(final String name){
		return new UntypedIdentifier(name);
	}
	
}
