package de.lmu.ifi.pms.cep.tsa.conditions;

import de.lmu.ifi.pms.cep.tsa.schema.BasicType;
import de.lmu.ifi.pms.cep.tsa.schema.BasicTypeID;

public class IntNamedConstant extends BasicTypeNamedConstant {
	
	public IntNamedConstant(final String name) {
		super(BasicTypeID.INT, name);
	}
	
	@Override
	public TypedNamedConstant<BasicType> rename(final String newName) {
		return new IntNamedConstant(newName);
	}

}
