package de.lmu.ifi.pms.cep.tsa.conditions;

import de.lmu.ifi.pms.cep.tsa.schema.BasicType;
import de.lmu.ifi.pms.cep.tsa.schema.BasicTypeID;

public class LongNamedConstant extends BasicTypeNamedConstant {
	
	public LongNamedConstant(final String name) {
		super(BasicTypeID.LONG, name);
	}
	
	@Override
	public TypedNamedConstant<BasicType> rename(final String newName) {
		return new LongNamedConstant(newName);
	}

}
