package de.lmu.ifi.pms.cep.tsa.conditions;

import de.lmu.ifi.pms.cep.tsa.schema.NamedType;
import de.lmu.ifi.pms.cep.tsa.schema.NamelessType;

public class NamedTypeVariable<TypeClass extends NamelessType> extends TypedVariable<NamedType<TypeClass>> {	

	protected NamedTypeVariable(final String name, final NamedType<TypeClass> type) {
		super(name, type);
	}
	
	@Override
	public NamedTypeVariable<TypeClass> rename(final String newName) {
		return new NamedTypeVariable<TypeClass>(newName, this.type);
	}
	
	public static <TypeClass extends NamelessType> NamedTypeVariable<TypeClass>  create(final String name, final NamedType<TypeClass> type){
		return new NamedTypeVariable<TypeClass>(name, type);
	}

}
