package de.lmu.ifi.pms.cep.tsa.conditions.filter;

import de.lmu.ifi.pms.cep.tsa.conditions.Attribute;
import de.lmu.ifi.pms.cep.tsa.conditions.Term;
import de.lmu.ifi.pms.java.util.filter.AbstractFilter;

public final class AttributeFilter extends AbstractFilter<Term<?>> {
	
	public static final AttributeFilter instance = new AttributeFilter();
	
	@Override
	public boolean accepts(final Term<?> element) {
		return element instanceof Attribute;
	}
}