package de.lmu.ifi.pms.cep.tsa.optimization;

import org.simpleframework.xml.Attribute;

import de.lmu.ifi.pms.cep.compilation.CompilerFactory;
import de.lmu.ifi.pms.cep.tsa.TSA_Program;

public abstract class TSA_OptimizerFactory extends CompilerFactory<TSA_Program, TSA_Program>{
	
	public TSA_OptimizerFactory(@Attribute(name="iri", required=true) final String identifier) {
		super(TSA_Program.class, TSA_Program.class, identifier);
	}
	
	@Override
	public abstract TSA_Optimizer make();

}
