/**
 * 
 */
package de.lmu.ifi.pms.java.lang.iteration;

import de.lmu.ifi.pms.java.util.filter.Filter;

/**
 * @author Simon Matthias Brodt
 *
 */
public class FilteredIterationImpl<Type> extends FilteredIteration<Type> {
	
	public final Filter<? super Type> filter;

	

	public FilteredIterationImpl(final Iterable<? extends Type> source, final Filter<? super Type> filter) {
		super(source);
		this.filter = filter;
	}

	public FilteredIterationImpl(final Type[] source, final Filter<? super Type> filter) {
		super(source);
		this.filter = filter;
	}

	/* (non-Javadoc)
	 * @see util.iteration.FilteredIteration#accepts(java.lang.Object)
	 */
	@Override
	public final boolean accepts(final Type element) {
		return this.filter.accepts(element);
	}

}
