/**
 * 
 */
package de.lmu.ifi.pms.java.util.adaption;

import java.util.Iterator;



public class IteratorAdapterImpl<SourceType, IterationType> extends FixedIteratorAdapter<SourceType, IterationType>{
	
	private final Adapter<SourceType, IterationType> adapter;
	
	public IteratorAdapterImpl(final Iterator<? extends SourceType> sourceIterator, final Adapter<SourceType, IterationType> adapter) {
		super(sourceIterator);
		this.adapter = adapter;
	}
	
	@Override
	public final IterationType adapt(final SourceType source){
		return this.adapter.adapt(source);
	}
			
}