package de.lmu.ifi.pms.java.util.collection;

import de.lmu.ifi.pms.java.util.collection.array.Array;
import de.lmu.ifi.pms.java.util.collection.javaWrapper.ToJavaSetWrapper;
import de.lmu.ifi.pms.java.util.collection.set.Set;

public class UncheckedArraySet<Type> extends Array<Type> implements Set<Type> {
	
	public UncheckedArraySet(final Class<Type> type, final int size) {
		super(type, size);
	}

	public UncheckedArraySet(final int offset, final int length, final Type... values) {
		super(offset, length, values);
	}

	public UncheckedArraySet(final Type... values) {
		super(values);
	}

	@Override
	public java.util.AbstractSet<Type> javaCollection() {
		return new ToJavaSetWrapper<Type>(this);
	}
	
}
