/**
 * 
 */
package de.lmu.ifi.pms.java.util.collection.extendible.list;

import de.lmu.ifi.pms.java.util.collection.javaWrapper.ToJavaSetWrapper;
import de.lmu.ifi.pms.java.util.collection.set.Set;

/**
 * @author Simon Matthias Brodt
 *
 */
public class SingleLinkedListSet<Type> extends SingleLinkedList<Type> implements Set<Type> {

	@Override
	public boolean add(final Type value) {
		if(!this.contains(value)){
			return super.add(value);
		}
		else{
			return false;
		}
	}
	
	@Override
	public java.util.AbstractSet<Type> javaCollection() {
		return new ToJavaSetWrapper<Type>(this);
	}
}
