package de.lmu.ifi.pms.java.util.collection.fixed;

import de.lmu.ifi.pms.java.lang.iteration.AbstractFixedIterator;

public abstract class AbstractFixedDeque<Type> extends AbstractFixedQueue<Type> implements FixedDeque<Type> {

	@Override
	public abstract Type element();

	@Override
	public abstract AbstractFixedIterator<Type> iterator();

	@Override
	public abstract Type peek();

	@Override
	public abstract int size();
	
	@Override
	public abstract AbstractFixedIterator<Type> descendingIterator();

	@Deprecated
	public final void addFirst(final Type e) {
		throw new UnsupportedOperationException();
	}

	@Deprecated
	public final void addLast(final Type e) {
		throw new UnsupportedOperationException();
	}

	@Deprecated
	public final boolean offerFirst(final Type e) {
		throw new UnsupportedOperationException();
	}

	@Deprecated
	public final boolean offerLast(final Type e) {
		throw new UnsupportedOperationException();
	}

	@Deprecated
	public final Type pollFirst() {
		throw new UnsupportedOperationException();
	}

	@Deprecated
	public final Type pollLast() {
		throw new UnsupportedOperationException();
	}

	@Deprecated
	public final Type pop() {
		throw new UnsupportedOperationException();
	}

	@Deprecated
	public final void push(final Type e) {
		throw new UnsupportedOperationException();
	}

	@Deprecated
	public final Type removeFirst() {
		throw new UnsupportedOperationException();
	}

	@Deprecated
	public final boolean removeFirstOccurrence(final Object o) {
		throw new UnsupportedOperationException();
	}

	@Deprecated
	public final Type removeLast() {
		throw new UnsupportedOperationException();
	}

	@Deprecated
	public final boolean removeLastOccurrence(final Object o) {
		throw new UnsupportedOperationException();
	}

}
